## Apache Zeta Components Manual :: Docs For Class ezcDebugHtmlFormatter

### Debug::ezcDebugHtmlFormatter

### Class ezcDebugHtmlFormatter

ezcDebugHtmlFormatter class implements a HTML debug formatter that outputs debug information nicely formated for inclusion on your web page.

Source for this file: /Debug/src/formatters/html_formatter.php

### Implements interfaces:

- ezcDebugOutputFormatter

Version: | //autogentag//

### Method Summary

public ezcDebugHtmlFormatter | `__construct( )` Constructs a new HTML reporter.
public string | `formatStackTrace( $stackTrace )` Returns an HTML formatted representation of the given $stackTrace.
public string | `generateOutput( $writerData , $timerData )` Returns a string containing the HTML formatted output.
public string | `getLog( $writerData )` Returns a string containing the HTML formatted output based on $writerData.
public string | `getTimingsAccumulator( $timerData )` Returns a string containing the HTML formatted output based on $timerData.
public void | `setVerbosityColor( $verbosity , $color )` Sets the output $color of debug messages of the verbosity $verbosity.

### Methods

#### __construct

ezcDebugHtmlFormatter __construct( )

Constructs a new HTML reporter.

#### formatStackTrace

string formatStackTrace( ezcDebugStacktraceIterator $stackTrace )

Returns an HTML formatted representation of the given $stackTrace.

Iterates through the given $stackTrace and returns an HTML formatted string representation.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$stackTrace` | ezcDebugStacktraceIterator |

#### generateOutput

string generateOutput( $writerData , $timerData )

Returns a string containing the HTML formatted output.

Returns the data submitted in $timerData and $writerData as an HTML formatted string to be displayed in a web browser.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$writerData` | array |
`$timerData` | array(ezcDebugStructure) |

##### Implementation of:

Method | Description
--- | ---
`ezcDebugOutputFormatter::generateOutput()` | Returns a string containing the formatted output based on $timerData and $writerData.

#### getLog

string getLog( $writerData )

Returns a string containing the HTML formatted output based on $writerData.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$writerData` | array |

#### getTimingsAccumulator

string getTimingsAccumulator( $timerData )

Returns a string containing the HTML formatted output based on $timerData.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$timerData` | array(ezcDebugStructure) |

#### setVerbosityColor

void setVerbosityColor( int $verbosity , string $color )

Sets the output $color of debug messages of the verbosity $verbosity.

$color must be specified in a CSS color value.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$verbosity` | int |
`$color` | string |

Documentation generated by phpDocumentor 1.4.3